# The Docker image that will be used to build your app
image: rust:slim-bullseye
# Functions that should be executed before the build script is run
before_script:
  - rustup target add wasm32-unknown-unknown
pages:
  script:
    - cargo build --release --target wasm32-unknown-unknown
    - cp target/wasm32-unknown-unknown/release/maxform.wasm public/
    - mv resources/ public/
  artifacts:
    paths:
      # The folder that contains the files to be exposed at the Page URL
      - public
  rules:
    # This ensures that only pushes to the default branch will trigger
    # a pages deploy
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
